ros-noetic-xmlrpcpp (1.16.0-1buster) buster; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Feb 2023 06:00:00 -0000

ros-noetic-xmlrpcpp (1.15.15-1buster) buster; urgency=high

  * Move @jacobperron from maintainer to author (#2302 <https://github.com/ros/ros_comm/issues/2302>)
  * Contributors: Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Nov 2022 06:00:00 -0000

ros-noetic-xmlrpcpp (1.15.14-1buster) buster; urgency=high

  * Keep the persistent connection only if rosmaster supports http1.1 (#2208 <https://github.com/ros/ros_comm/issues/2208>)
  * Contributors: Chen Lihui

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 06 Jan 2022 06:00:00 -0000

ros-noetic-xmlrpcpp (1.15.13-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Sep 2021 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.12-1buster) buster; urgency=high

  * Fix XMLRPC endless loop (#2185 <https://github.com/ros/ros_comm/issues/2185>)
  * Fix build when gtest is not available (#2177 <https://github.com/ros/ros_comm/issues/2177>)
  * Contributors: Chris Lalancette, Wolfgang Merkt

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.11-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.10-1buster) buster; urgency=high

  * Portable fix to recent Windows build breaks (#2110 <https://github.com/ros/ros_comm/issues/2110>)
  * Contributors: Sean Yen

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.9-1buster) buster; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix to address CVE-2020-16124 (#2065 <https://github.com/ros/ros_comm/issues/2065>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Fix XmlRpcValue::_doubleFormat being unused (#2003 <https://github.com/ros/ros_comm/issues/2003>)
  * Contributors: Shane Loretz, Sid Faber, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.8-1buster) buster; urgency=high

  * add const versions of XmlRpcValue converting operators (#1978 <https://github.com/ros/ros_comm/issues/1978>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Jul 2020 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.7-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2020 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.5-1buster) buster; urgency=high

  * check if enough FDs are free, instead counting the total free FDs (#1929 <https://github.com/ros/ros_comm/issues/1929>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 15 May 2020 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.4-1buster) buster; urgency=high

  * restrict boost dependencies to components used (#1871 <https://github.com/ros/ros_comm/issues/1871>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.3-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 06:00:00 -0000

ros-noetic-xmlrpcpp (1.15.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2020 06:00:00 -0000

ros-noetic-xmlrpcpp (1.15.1-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2020 06:00:00 -0000

ros-noetic-xmlrpcpp (1.15.0-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Feb 2020 06:00:00 -0000

ros-noetic-xmlrpcpp (1.14.4-1buster) buster; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * [Windows] workaround WSAPoll doesn't report failed connections (#1816 <https://github.com/ros/ros_comm/issues/1816>)
  * fix base64 decode error on ARM platforms (#1853 <https://github.com/ros/ros_comm/issues/1853>)
  * use c++11 std::snprintf (#1820 <https://github.com/ros/ros_comm/issues/1820>)
  * fix dead loop if accept connection error in XmlRpcServer (#1791 <https://github.com/ros/ros_comm/issues/1791>)
  * fix test build errors (#1723 <https://github.com/ros/ros_comm/issues/1723>)
  * fix base64 encode error (#1769 <https://github.com/ros/ros_comm/issues/1769>)
  * XmlRpcValue added bool assignment operator (#1709 <https://github.com/ros/ros_comm/issues/1709>)
  * add const indexer for xmlrpc (#1759 <https://github.com/ros/ros_comm/issues/1759>)
  * xmlrpcpp: fixed invalid zero index (#1631 <https://github.com/ros/ros_comm/issues/1631>)
  * avoid calling memcpy on NULL pointer with size 0 (#1546 <https://github.com/ros/ros_comm/issues/1546>)
  * revert "Revert "move the winsock2.h into cpp."" (#1588 <https://github.com/ros/ros_comm/issues/1588>)
  * visibility macros update (#1591 <https://github.com/ros/ros_comm/issues/1591>)
  * remove explicit -std=c++11, default to 14
  * fix test code build issues on Windows (#1479 <https://github.com/ros/ros_comm/issues/1479>)
  * fix issues when built or run on Windows (#1466 <https://github.com/ros/ros_comm/issues/1466>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 06:00:00 -0000

ros-noetic-xmlrpcpp (1.14.3-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 05:00:00 -0000

ros-noetic-xmlrpcpp (1.14.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 05:00:00 -0000

ros-noetic-xmlrpcpp (1.14.1-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 05:00:00 -0000

ros-noetic-xmlrpcpp (1.14.0-1buster) buster; urgency=high

  * fixes for OSX (#1402 <https://github.com/ros/ros_comm/issues/1402>)
  * take XmlRpcValue by *const* ref. in operator<< (#1350 <https://github.com/ros/ros_comm/issues/1350>)
  * fix various compiler warnings on bionic (#1325 <https://github.com/ros/ros_comm/issues/1325>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 05:00:00 -0000

ros-noetic-xmlrpcpp (1.13.6-1buster) buster; urgency=high

  * fix xmlrpc timeout using monotonic clock (#1249 <https://github.com/ros/ros_comm/issues/1249>)
  * add tests and bug fixes for XmlRpcServer (#1243 <https://github.com/ros/ros_comm/issues/1243>)
  * add test and fix uninitialized data in XmlRpcClient (#1244 <https://github.com/ros/ros_comm/issues/1244>)
  * make xmlrpcpp specific include directory work in devel space (#1261 <https://github.com/ros/ros_comm/issues/1261>)
  * add base64 tests (#1242 <https://github.com/ros/ros_comm/issues/1242>)
  * add unit tests for XmlRpcDispatch (#1232 <https://github.com/ros/ros_comm/issues/1232>)
  * add unit tests and bug fixes for XmlRpcClient (#1221 <https://github.com/ros/ros_comm/issues/1221>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 06:00:00 -0000

ros-noetic-xmlrpcpp (1.13.5-1buster) buster; urgency=high

  * add unit tests and bug fixes for XmlRpcSocket (#1218 <https://github.com/ros/ros_comm/issues/1218>)
  * add tests for XmlRpcValue and XML conversion (#1216 <https://github.com/ros/ros_comm/issues/1216>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 06:00:00 -0000

ros-noetic-xmlrpcpp (1.13.4-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 05:00:00 -0000

ros-noetic-xmlrpcpp (1.13.3-1buster) buster; urgency=high

  * fix problem when configuring tests without gtest being available (#1197 <https://github.com/ros/ros_comm/issues/1197>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 05:00:00 -0000

ros-noetic-xmlrpcpp (1.13.2-1buster) buster; urgency=high

  * use poll() in favor of select() in the XmlRPCDispatcher (#833 <https://github.com/ros/ros_comm/issues/833>)
  * fix fall through warnings with g++ 7 (#1139 <https://github.com/ros/ros_comm/issues/1139>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-noetic-xmlrpcpp (1.13.1-1buster) buster; urgency=high

  * switch to libb64 for base64 encoding/decoding (#1046 <https://github.com/ros/ros_comm/issues/1046>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 05:00:00 -0000

ros-noetic-xmlrpcpp (1.13.0-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 06:00:00 -0000

ros-noetic-xmlrpcpp (1.12.7-1buster) buster; urgency=high

  * move headers to include/xmlrpcpp (#962 <https://github.com/ros/ros_comm/issues/962>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 06:00:00 -0000

ros-noetic-xmlrpcpp (1.12.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 05:00:00 -0000

ros-noetic-xmlrpcpp (1.12.5-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 05:00:00 -0000

ros-noetic-xmlrpcpp (1.12.4-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 05:00:00 -0000

ros-noetic-xmlrpcpp (1.12.3-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 05:00:00 -0000

ros-noetic-xmlrpcpp (1.12.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 05:00:00 -0000

ros-noetic-xmlrpcpp (1.12.1-1buster) buster; urgency=high

  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 05:00:00 -0000

ros-noetic-xmlrpcpp (1.12.0-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.18-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.17-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-noetic-xmlrpcpp (1.11.16-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 06:00:00 -0000

ros-noetic-xmlrpcpp (1.11.15-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.14-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.13-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.12-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.11-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.10-1buster) buster; urgency=high

  * improve Android support (#537 <https://github.com/ros/ros_comm/pull/537>)
  * fix various defects reported by coverity

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 06:00:00 -0000

ros-noetic-xmlrpcpp (1.11.9-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.8-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.7-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.5-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.4-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.3-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.1-1buster) buster; urgency=high

  * fix day comparison for rpc value of type timestamp (#395 <https://github.com/ros/ros_comm/issues/395>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 05:00:00 -0000

ros-noetic-xmlrpcpp (1.11.0-1buster) buster; urgency=high

  * output error message when hostname lookup fails (#364 <https://github.com/ros/ros_comm/issues/364>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 06:00:00 -0000

ros-noetic-xmlrpcpp (1.10.0-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 06:00:00 -0000

ros-noetic-xmlrpcpp (1.9.54-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 06:00:00 -0000

ros-noetic-xmlrpcpp (1.9.53-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jan 2014 06:00:00 -0000

ros-noetic-xmlrpcpp (1.9.52-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 06:00:00 -0000

ros-noetic-xmlrpcpp (1.9.51-1buster) buster; urgency=high

  * fix compilation and warnings with clang (#291 <https://github.com/ros/ros_comm/issues/291>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 06:00:00 -0000

ros-noetic-xmlrpcpp (1.9.50-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 05:00:00 -0000

ros-noetic-xmlrpcpp (1.9.49-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Sep 2013 05:00:00 -0000

ros-noetic-xmlrpcpp (1.9.48-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 05:00:00 -0000

ros-noetic-xmlrpcpp (1.9.47-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jul 2013 05:00:00 -0000

ros-noetic-xmlrpcpp (1.9.46-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 18 Jun 2013 05:00:00 -0000

ros-noetic-xmlrpcpp (1.9.45-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 05:00:00 -0000

ros-noetic-xmlrpcpp (1.9.44-1buster) buster; urgency=high

  * fix install destination for dll's under Windows

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 05:00:00 -0000

ros-noetic-xmlrpcpp (1.9.43-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Mar 2013 05:00:00 -0000

ros-noetic-xmlrpcpp (1.9.42-1buster) buster; urgency=high

  * refine license description to LGPL-2.1

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 06:00:00 -0000

ros-noetic-xmlrpcpp (1.9.41-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Jan 2013 06:00:00 -0000

ros-noetic-xmlrpcpp (1.9.40-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 06:00:00 -0000

ros-noetic-xmlrpcpp (1.9.39-1buster) buster; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 29 Dec 2012 06:00:00 -0000


